## pygobject 3.0.3

=== debian/changelog ===
pygobject (3.0.3-3) unstable; urgency=low

  * debian/control.in: Set python-gobject-dbg section/priority to debug/extra,
    according to to archive overrides.
  * Add 00git_ghashtable_gerror_callback_args.patch: Support GHashTable and
    GError as callback/closure arguments. Backported from upstream git head,
    but without the test cases, as they require an addition to
    gobject-introspection. (LP: #904783)
  * Add 00git_gerror_transfer_none.patch: Respect transfer-type when
    demarshalling GErrors. The marshaller previously ignored "transfer full"
    on GError* arguments, causing crashes due to double-freeing them.
    Backported from upstream git head.

 -- Martin Pitt <mpitt@debian.org>  Wed, 25 Jan 2012 07:19:31 +0100

pygobject (3.0.3-2) unstable; urgency=medium

  * Urgency medium as the previous release with the regression already made it
    into testing and is causing quite a few unexpected breakages.
  * Add 01_revert_tree_model_unicode_conversion.patch: Revert "Convert all
    strings to utf-8 encoding when retrieving from TreeModel" change from
    previous release. This changes existing behaviour (model values being str
    instead of unicode) and also makes tree model behaviour incompatible to
    the rest of Gtk behaviour (which always returns UTF-8 encoded str objects,
    not unicode). The original bug description was a bug in the test case
    code, you cannot mix str and unicode objects in interpolation.
    (LP: #905602)

 -- Martin Pitt <mpitt@debian.org>  Fri, 06 Jan 2012 16:38:51 +0100

pygobject (3.0.3-1) unstable; urgency=low

  * debian/watch: Switch to xz tarballs, upstream now only releases those.
  * New upstream bug fix release.
  * Drop 00git_marshal_gvariant_arrays.patch, included upstream.

 -- Martin Pitt <mpitt@debian.org>  Thu, 15 Dec 2011 07:31:30 +0100
