=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: pygobject
Section: python
Priority: optional
Maintainer: Josselin Mouette <joss@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper (>= 7),
               gnome-pkg-tools (>= 0.10),
               dh-autoreconf,
               quilt,
               python-all-dev (>= 2.6.6-3~),
               python3-all-dev,
               libglib2.0-dev (>= 2.24.0),
               libcairo2-dev,
               libffi-dev (>= 3.0.5),
               gobject-introspection (>= 1.31.0),
               libgirepository1.0-dev (>= 1.31.0),
               python-cairo-dev (>= 1.2.0),
               xsltproc,
               xvfb,
               xauth,
               dbus-x11,
               locales,
               docbook-xsl,
               autotools-dev,
               python-all-dbg,
               python3-all-dbg,
               python-apt-dbg,
               python-cairo-dbg,
               gir1.2-glib-2.0,
               gir1.2-gtk-3.0 [!m68k],
               gir1.2-freedesktop
X-Python-Version: >= 2.5
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/pygobject
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/pygobject

Package: python-gi
Architecture: any
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         gir1.2-glib-2.0 (>= 1.31.0)
Provides: ${python:Provides}
Suggests: python-gi-cairo
Breaks: python-gobject (<< 3.0.2-4),
        python-nautilus (<= 1.1-1)
Replaces: python-gobject (<< 3.0.2-4)
Description: Python 2.x bindings for gobject-introspection libraries
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the Python 2.x binding generator for libraries that
 support gobject-introspection, i. e. which ship a gir1.2-<name>-<version>
 package. With these packages, the libraries can be used from Python.

Package: python3-gi
Architecture: any
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         gir1.2-glib-2.0 (>= 1.31.0)
Conflicts: python3-gobject
Provides: python3-gobject
Replaces: python3-gobject
Description: Python 3 bindings for gobject-introspection libraries
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the Python 3 binding generator for libraries that
 support gobject-introspection, i. e. which ship a gir1.2-<name>-<version>
 package. With these packages, the libraries can be used from Python 3.

Package: python-gi-cairo
Architecture: any
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python-gi (= ${binary:Version}),
         python-cairo
Conflicts: python-gobject-cairo
Replaces: python-gobject-cairo
Provides: python-gobject-cairo
Description: Python Cairo bindings for the GObject library
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the Python Cairo bindings for GObject. It is mostly
 used by other bindings to map their GObjects to Python objects.

Package: python-gi-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python-gi (= ${binary:Version})
Breaks: python-gobject-dbg (<< 3.0.2-4)
Replaces: python-gobject-dbg (<< 3.0.2-4)
Description: Python bindings for the GObject library (debug extension)
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the Python bindings for GObject. It is mostly
 used by other bindings to map their GObjects to Python objects.
 .
 This package contains the extensions built for the Python debug interpreter.

Package: python3-gi-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-gi (= ${binary:Version})
Conflicts: python3-gobject-dbg
Provides: python3-gobject-dbg
Replaces: python3-gobject-dbg
Description: Python 3 bindings for gobject-introspection libraries (debug extension)
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the Python 3 binding generator for libraries that
 support gobject-introspection, i. e. which ship a gir1.2-<name>-<version>
 package. With these packages, the libraries can be used from Python 3.
 .
 This package contains the extensions built for the Python 3 debug interpreter.

Package: python-gi-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         python-gobject (>= ${source:Version}),
         python-gobject (<= ${source:Version}.1~),
         libglib2.0-dev (>= 2.24.0),
         libffi-dev (>= 3.0.5)
Breaks: python-gobject-dev (<< 3.0.2-4)
Replaces: python-gobject-dev (<< 3.0.2-4)
Description: development headers for GObject Python bindings
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the development headers needed to build C extensions
 which use pygobject.

Package: python-gobject
Architecture: all
Depends: ${misc:Depends},
         python-gi (>= ${source:Version}),
         python-gobject-2
Description: Python 2.x bindings for GObject - transitional package 
 This package will bring the two versions of GObject Python modules: the 
 deprecated gobject module, and the new gobject-introspection system. It 
 is here for upgrade purposes only. You can remove it safely when 
 nothing else depends on it.

Package: python-gobject-dbg
Section: debug
Priority: extra
Architecture: all
Depends: ${misc:Depends},
         python-gi-dbg (>= ${source:Version}),
         python-gobject-2-dbg
Description: Python 2.x debugging modules for GObject - transitional package 
 This package will bring the two debugging versions of GObject Python 
 modules: one for the deprecated gobject module, and one for the new 
 gobject-introspection system. It is here for upgrade purposes only. 
 You can remove it safely when nothing else depends on it.

Package: python-gobject-dev
Architecture: all
Depends: ${misc:Depends},
         python-gi-dev (= ${source:Version}),
         python-gobject-2-dev
Description: Python 2.x development headers for GObject - transitional package 
 This package will bring development headers for the two versions of 
 GObject Python modules: the deprecated gobject module, and the new 
 gobject-introspection system. It is here for upgrade purposes only. You 
 can remove it safely when nothing else depends on it.
