## pygobject 3.1.0

=== debian/changelog ===
pygobject (3.1.0-2) unstable; urgency=low

  * Add glib_2.30.patch: Partially revert commit ee62df4 to drop the usage of
    g_value_*_schar. This was introduced in glib 2.31 only. (Closes: #659184)
  * Add 00git_pygspawn_error_check.patch: Fix crash in pygspawn() when the
    argv or envp arguments are not proper sequences. Backported from upstream
    git head.
  * Add 00git_gtkbuilder-signals.patch: Fix GtkBuilder signal connection
    'after' logic. Backported from upstream git head. (LP: #925676)

 -- Martin Pitt <mpitt@debian.org>  Thu, 09 Feb 2012 07:01:44 +0100

pygobject (3.1.0-1) unstable; urgency=low

  * New upstream release. No new features or code reorg, just a lot of crash
    and introspectability fixes, and well covered by test cases. This works
    fine with GNOME 3.2.
  * Drop all patches, all upstream now.

 -- Martin Pitt <mpitt@debian.org>  Wed, 08 Feb 2012 07:28:19 +0100
