=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                quilt,
                python-all-dev (>= 2.6.6-3~),
                python3-all-dev,
-               libglib2.0-dev (>= 2.24.0),
+               libglib2.0-dev (>= 2.31.0),
                libcairo2-dev,
                libffi-dev (>= 3.0.5),
                gobject-introspection (>= 1.31.0),
@@ -36,8 +36,8 @@
                gir1.2-freedesktop
 X-Python-Version: >= 2.5
 Standards-Version: 3.9.2
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/pygobject
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/pygobject
+Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/experimental/pygobject
+Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/experimental/pygobject
 
 Package: python-gi
 Architecture: any
@@ -141,8 +141,8 @@
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         python-gobject (>= ${source:Version}),
-         python-gobject (<< ${source:Version}.1~),
+         python-gi (>= ${source:Version}),
+         python-gi (<< ${source:Version}.1~),
          libglib2.0-dev (>= 2.24.0),
          libffi-dev (>= 3.0.5)
 Breaks: python-gobject-dev (<< 3.0.2-4)
