=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/pygobject/([\d\.]+)/pygobject-([\d\.]+)\.tar\.xz
