## pygobject 3.1.92

=== debian/changelog ===
pygobject (3.1.92-1) experimental; urgency=low

  * New upstream release.
    - Fix Gtk override API for tree models to send out only one signal after
      the data is set. (LP: #939450)

 -- Martin Pitt <mpitt@debian.org>  Mon, 19 Mar 2012 17:29:07 +0100
