## pygobject 3.2.2

=== debian/changelog ===
pygobject (3.2.2-1~precise) precise-proposed; urgency=low

  * SRU 3.2.2 bug fix release to precise. (LP: #999711)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 15 May 2012 16:31:32 +0200

pygobject (3.2.2-1) unstable; urgency=low

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Tue, 15 May 2012 15:29:38 +0200

pygobject (3.2.1-1) unstable; urgency=low

  * New upstream bug fix release.
    - GTK overrides: Add missing keyword arguments (Closes: #667057)

 -- Martin Pitt <mpitt@debian.org>  Thu, 10 May 2012 14:27:02 -0700
