## pygobject 3.4.0

=== debian/changelog ===
pygobject (3.4.0-1) experimental; urgency=low

  * New upstream release.

 -- Martin Pitt <mpitt@debian.org>  Mon, 24 Sep 2012 09:43:47 +0200

pygobject (3.3.92-1) experimental; urgency=low

  * New upstream release.

 -- Martin Pitt <mpitt@debian.org>  Mon, 17 Sep 2012 23:07:55 +0200

pygobject (3.3.91-1) experimental; urgency=low

  * New upstream release.
  * debian/control.in: Bump g-i build dependencies as per configure.ac.
  * debian/control.in: Bump X-Python-Version to >= 2.6. pygobject hasn't
    worked with 2.5 for quite a while.

 -- Martin Pitt <mpitt@debian.org>  Tue, 04 Sep 2012 12:47:21 +0200

pygobject (3.3.90-1) experimental; urgency=low

  * New upstream release.

 -- Martin Pitt <mpitt@debian.org>  Mon, 20 Aug 2012 23:23:43 +0200

pygobject (3.3.4-1) experimental; urgency=low

  * New upstream release.
  * Add debian/tests/: autopkgtest for using GI modules with Python 2 and 3.
  * debian/control.in: Add XS-Testsuite header as per current DEP-8.
  * Add debian/tests/build: Build and run a program against pygobject, to
    verify that the headers and pkg-config file are installed correctly.
  * debian/watch: Look for unstable versions in experimental branch.

 -- Martin Pitt <mpitt@debian.org>  Sun, 22 Jul 2012 11:13:46 +0200

pygobject (3.3.3.1-1) experimental; urgency=low

  * New upstream release.

 -- Martin Pitt <mpitt@debian.org>  Mon, 25 Jun 2012 16:42:57 +0200

pygobject (3.3.2-1) experimental; urgency=low

  * New upstream release.
  * debian/control.in: Bump gobject-introspection build dep to >= 1.33.2 to
    ensure we have the necessary API for the tests.

 -- Martin Pitt <mpitt@debian.org>  Mon, 11 Jun 2012 16:30:43 +0200

pygobject (3.3.1-1) experimental; urgency=low

  * debian/control.in: Update Vcs-* for experimental branch.
  * New upstream release. The 3.3.x series is targetted at GNOME 3.6, but will
    also work with GNOME 3.4. There are a few small API changes/fixes, though.
  * debian/rules: Bump shlib version.
  * debian/control.in: Add pep8 and pyflakes build dependencies, now used by
    the test suite.

 -- Martin Pitt <mpitt@debian.org>  Tue, 15 May 2012 16:00:59 +0200
