=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Section: python
 Priority: optional
 Maintainer: Josselin Mouette <joss@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Martin Pitt <mpitt@debian.org>
 Build-Depends: debhelper (>= 7),
                gnome-pkg-tools (>= 0.10),
                dh-autoreconf,
@@ -17,8 +17,8 @@
                libglib2.0-dev (>= 2.31.0),
                libcairo2-dev,
                libffi-dev (>= 3.0.5),
-               gobject-introspection (>= 1.31.0),
-               libgirepository1.0-dev (>= 1.31.0),
+               gobject-introspection (>= 1.33.9),
+               libgirepository1.0-dev (>= 1.33.9),
                python-cairo-dev (>= 1.2.0),
                python3-cairo-dev (>= 1.10.0),
                xsltproc,
@@ -27,6 +27,8 @@
                dbus-x11,
                locales,
                docbook-xsl,
+               pep8,
+               pyflakes,
                autotools-dev,
                python-all-dbg,
                python3-all-dbg,
@@ -35,10 +37,11 @@
                gir1.2-glib-2.0,
                gir1.2-gtk-3.0 [!m68k],
                gir1.2-freedesktop
-X-Python-Version: >= 2.5
+X-Python-Version: >= 2.6
 Standards-Version: 3.9.3
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/pygobject
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/pygobject
+Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/experimental/pygobject
+Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/experimental/pygobject
+XS-Testsuite: autopkgtest
 
 Package: python-gi
 Architecture: any
