=== debian/tests/control ===
Tests: python2 python3 build
Depends: python-gi, python3-gi, gir1.2-glib-2.0, python-gi-dev, python3-dev
