## pygobject 3.7.5.1

=== debian/changelog ===
pygobject (3.7.5.1-0ubuntu1) raring; urgency=low

  * New upstream release
  * Add 01_cairo_region.patch: Add foreign type for cairo_region_t.
    Debian/Ubuntu's pycairo packages have support for this backported from
    trunk, need to keep this as a patch until there is a new pycairo upstream
    release. (LP: #1028115)
  * Add disable_micro_version_test.patch: Disable microversion test for "5.1"
    microversion. Can be dropped at next upstream release.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 11 Feb 2013 08:22:21 +0100

pygobject (3.7.4-0ubuntu2) raring; urgency=low

  * debian/control.in: Have python-gi-dev depend on python3-gi, too.
    (LP: #1101683)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat, 19 Jan 2013 13:07:08 +0100

pygobject (3.7.4-0ubuntu1) raring; urgency=low

  * New upstream release.
  * Drop 00git_testhelper_method_unref.patch, fixed upstream.
  * Add disable_char_test.patch: Disable "char" test as our
    gobject-introspection version does not yet have the fix for signed chars.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 14 Jan 2013 17:45:01 +0100

pygobject (3.7.3-0ubuntu2) raring; urgency=low

  * Rebuild.
  * Re-enable the tests for 2.7-dbg. Closes: #1091615.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Dec 2012 19:13:41 +0100

pygobject (3.7.3-0ubuntu1) raring; urgency=low

  * New upstream bug fix release.
  * Synchronize packaging with current Debian SVN.
  * Drop 00git_fixes.patch, all upstream.
  * Add 00git_testhelper_method_unref.patch: Do not unref called method.
  * debian/rules: Skip tests for 2.7-dbg to work around recent python2.7-dbg
    regression (LP #1091615)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 18 Dec 2012 10:55:51 +0100

pygobject (3.7.2-0ubuntu5) raring; urgency=low

  * 00git_fixes.patch: Pull in two more fixes from upstream.
  * debian/rules: Fail the build on test failures.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 30 Nov 2012 09:07:52 +0100

pygobject (3.7.2-0ubuntu4) raring; urgency=low

  * debian/control.in: Make python-gi-dev Arch: any, as it now uses multiarch
    paths for the pkg-config file.
  * Add 00git_fixes.patch: Recent fixes from upstream trunk which fix
    architecture specific bugs and problems of the test suite when running in
    limited test environments.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 29 Nov 2012 16:54:28 +0100

pygobject (3.7.2-0ubuntu3) raring; urgency=low

  * Synchronize with Debian experimental's simplified and more robust
    packaging.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 28 Nov 2012 08:19:16 +0100

pygobject (3.4.2-2) experimental; urgency=low

  * Drop quilt (not necessary, we are using 3.0 (quilt) source format), and
    dh_autoreconf (we have no patches).
  * Greatly simplify debian/rules, by switching to dh7 build system and
    factorizing the per-flavor rules in a simpler and better way. Also move to
    dh compat 9 to get multiarch compatible library directories.
  * debian/control.in: Bump g-i requirement according to upstream
    configure.ac.
  * debian/control.in: Drop support for Python 2.6. It's going to be dropped
    after Wheezy anyway, it receives zero testing by upstream and will soon be
    dropped upstream anyway.
  * debian/rules: Use py3versions --supported instead of --requested; the
    former is broken right now and we don't request particular versions anyway.
  * debian/control.in: Add missing ${misc:Pre-Depends} and versioned dpkg-dev
    build dependency.

 -- Martin Pitt <mpitt@debian.org>  Tue, 27 Nov 2012 16:15:23 +0100

pygobject (3.7.2-0ubuntu2) raring; urgency=low

  * debian/rules: Disable dh_autoreconf, not necessary (we have no patches).
    Fixes FTBFS due to (otherwise) missing gnome-common.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 26 Nov 2012 22:25:33 +0100

pygobject (3.7.2-0ubuntu1) raring; urgency=low

  * New upstream development release.
  * debian/control.in: Bump glib and g-i requirements.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 26 Nov 2012 12:12:46 +0100

pygobject (3.4.2-1) experimental; urgency=low

  * New upstream release.

 -- Martin Pitt <mpitt@debian.org>  Tue, 13 Nov 2012 05:57:56 +0100

pygobject (3.4.1.1-1) experimental; urgency=low

  [ Martin Pitt ]
  * New upstream release.
  * debian/control.in: Bump g-i dependencies according to configure.ac.
  * debian/rules: Remove moving of site-packages, this was fixed upstream now.

  [ Matthias Klose ]
  * Fix renaming of python3 extensions.
  * Configure with --disable-silent-rules.
  * debian/rules (clean): Remove __pycache__ directories.

 -- Martin Pitt <mpitt@debian.org>  Mon, 22 Oct 2012 12:23:17 +0200

pygobject (3.4.1-1) experimental; urgency=low

  * New upstream bug fix release.
  * debian/rules: Update handling of site-packages directory, as this version
    now ships an .egg-info.

 -- Martin Pitt <mpitt@debian.org>  Tue, 16 Oct 2012 07:18:20 +0200
