=== debian/control ===
--- 
+++ 
@@ -2,23 +2,22 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: pygobject
 Section: python
 Priority: optional
-Maintainer: Josselin Mouette <joss@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
 Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Martin Pitt <mpitt@debian.org>
-Build-Depends: debhelper (>= 7),
+Build-Depends: debhelper (>= 9),
+               dpkg-dev (>= 1.16.1~),
                gnome-pkg-tools (>= 0.10),
-               dh-autoreconf,
-               quilt,
                python-all-dev (>= 2.6.6-3~),
                python3-all-dev,
-               libglib2.0-dev (>= 2.31.0),
+               libglib2.0-dev (>= 2.34.2),
                libcairo2-dev,
                libffi-dev (>= 3.0.5),
-               gobject-introspection (>= 1.33.9),
-               libgirepository1.0-dev (>= 1.33.9),
+               gobject-introspection (>= 1.34.2),
+               libgirepository1.0-dev (>= 1.34.2),
                python-cairo-dev (>= 1.2.0),
                python3-cairo-dev (>= 1.10.0),
                xsltproc,
@@ -29,7 +28,6 @@
                docbook-xsl,
                pep8,
                pyflakes,
-               autotools-dev,
                python-all-dbg,
                python3-all-dbg,
                python-apt-dbg,
@@ -37,7 +35,7 @@
                gir1.2-glib-2.0,
                gir1.2-gtk-3.0 [!m68k],
                gir1.2-freedesktop
-X-Python-Version: >= 2.6
+X-Python-Version: >= 2.7
 Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/experimental/pygobject
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/experimental/pygobject
@@ -45,6 +43,7 @@
 
 Package: python-gi
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${python:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
@@ -65,6 +64,7 @@
 
 Package: python3-gi
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${python3:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
@@ -83,6 +83,7 @@
 
 Package: python-gi-cairo
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${python:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
@@ -103,6 +104,7 @@
 Section: debug
 Priority: extra
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${python:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
@@ -123,6 +125,7 @@
 Section: debug
 Priority: extra
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${python3:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
@@ -142,11 +145,14 @@
  This package contains the extensions built for the Python 3 debug interpreter.
 
 Package: python-gi-dev
-Architecture: all
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          python-gi (>= ${source:Version}),
          python-gi (<< ${source:Version}.1~),
+         python3-gi (>= ${source:Version}),
+         python3-gi (<< ${source:Version}.1~),
          libglib2.0-dev (>= 2.24.0),
          libffi-dev (>= 3.0.5)
 Breaks: python-gobject-dev (<< 3.0.2-4)
@@ -159,8 +165,26 @@
  This package contains the development headers needed to build C extensions
  which use pygobject.
 
+Package: python3-gi-cairo
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${python3:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends},
+         python3-cairo
+Description: Python 3 Cairo bindings for the GObject library
+ GObject is an abstraction layer that allows programming with an object
+ paradigm that is compatible with many languages. It is a part of Glib,
+ the core library used to build GTK+ and GNOME.
+ .
+ This package contains the Python 3 Cairo bindings for GObject. It is mostly
+ used by other bindings to map their GObjects to Python objects.
+
 Package: python-gobject
+Section: oldlibs
+Priority: extra
 Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          python-gi (>= ${source:Version}),
          python-gobject-2
@@ -170,24 +194,11 @@
  is here for upgrade purposes only. You can remove it safely when 
  nothing else depends on it.
 
-Package: python3-gi-cairo
-Architecture: any
-Depends: ${python3:Depends},
-         ${shlibs:Depends},
-         ${misc:Depends},
-         python3-cairo
-Description: Python 3 Cairo bindings for the GObject library
- GObject is an abstraction layer that allows programming with an object
- paradigm that is compatible with many languages. It is a part of Glib,
- the core library used to build GTK+ and GNOME.
- .
- This package contains the Python 3 Cairo bindings for GObject. It is mostly
- used by other bindings to map their GObjects to Python objects.
-
 Package: python-gobject-dbg
-Section: debug
+Section: oldlibs
 Priority: extra
 Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          python-gi-dbg (>= ${source:Version}),
          python-gobject-2-dbg
@@ -198,9 +209,12 @@
  You can remove it safely when nothing else depends on it.
 
 Package: python-gobject-dev
+Section: oldlibs
+Priority: extra
 Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
-         python-gi-dev (= ${source:Version}),
+         python-gi-dev (>= ${source:Version}),
          python-gobject-2-dev
 Description: Python 2.x development headers for GObject - transitional package 
  This package will bring development headers for the two versions of
