## pygobject 3.7.90

=== debian/changelog ===
pygobject (3.7.90-0ubuntu1) raring; urgency=low

  * New upstream release
  * Drop disable_micro_version_test.patch, see previous changelog.
  * Bump g-i dependency to >= 1.35.8 to ensure we have the fixed "char" type
    handling and all necessary test API.
  * Drop disable_char_test.patch, fixed in current g-i.
  * Add 02_disable_buggy_test.patch: Disable test_generictreemodel check which
    fails with the python*-dbg variants.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 20 Feb 2013 08:07:47 +0100
