=== debian/control ===
--- 
+++ 
@@ -16,8 +16,8 @@
                libglib2.0-dev (>= 2.34.2),
                libcairo2-dev,
                libffi-dev (>= 3.0.5),
-               gobject-introspection (>= 1.34.2),
-               libgirepository1.0-dev (>= 1.34.2),
+               gobject-introspection (>= 1.35.8),
+               libgirepository1.0-dev (>= 1.35.8),
                python-cairo-dev (>= 1.2.0),
                python3-cairo-dev (>= 1.10.0),
                xsltproc,
